Subject: Bug#3337: no subject)

From: Ian Jackson <[email-masked]>
Date: Mon, 8 Jul 96 02:28 BST

Michael Meskes writes ("Bug#3337: no subject)"):
> Yambo writes:
> > Package: joe
> > Version: 2.8-4
> > 
> > The following problems were encountered while building on m68k arch:
> > 
> > 1)  "debian.rules" did not support different architectures.
> 
> There weren't any when this package was created.

I see that you have closed this bug report.

Have you actually corrected the problems and made the package support
multiple architectures ?

If you're not going to then the m68k people should upload a new
revision with the required changes.

> > 2)  "debian.rules" created improperly named .deb binaries (new standard).
> 
> This package was uploaded before the new standard was created.

Yes, however the new standard does apply now (though this in itself
isn't a bug).

> > 3)  "debian.control" was missing the architecture field.
> 
> See above.

See above.

> > 4)  "debian.postinst" had invalid permissions.
> 
> Now that's really not correct. But still I don't think these messages should
> flood the bug report system. A simple mail to me personally would be
> sufficient.

That is correct, I presume.  I haven't checked, but I imagine that
this problem is being reported because dpkg-deb has become better at
checking the permissions of maintainer scripts, which should all be
755 or possibly 775.

> > The following patches correct these problems:
> 
> NO! They just fix the parts you ran into while compiling for m68K. There
> were some more changes necessary.

Does that mean you've made them all ?

Ian.